Loading...
Searching...
No Matches
hueplusplus::WhitelistedUser Struct Reference

User that is whitelisted for Hue API usage. More...

`#include <hueplusplus/BridgeConfig.h>`

Collaboration diagram for hueplusplus::WhitelistedUser:
[legend]

## Public Attributes

std::string | key
| API username of the user.
std::string | name
| Name provided on user creation.
time::AbsoluteTime | lastUsed
| Last time the user was used.
time::AbsoluteTime | created
| Time the user was created.

## Detailed Description

User that is whitelisted for Hue API usage.

## Member Data Documentation

## created

time::AbsoluteTime hueplusplus::WhitelistedUser::created

Time the user was created.

## key

std::string hueplusplus::WhitelistedUser::key

API username of the user.

## lastUsed

time::AbsoluteTime hueplusplus::WhitelistedUser::lastUsed

Last time the user was used.

## name

std::string hueplusplus::WhitelistedUser::name

Name provided on user creation.

The documentation for this struct was generated from the following file:

- include/hueplusplus/BridgeConfig.h